<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc = "对基础信息实绩操作">
<query id = "BaseOperations.queryBaseConfion" desc = "通过baseCode查询基础信息">
SELECT T.BASECODE,T.BASENAME FROM COM_BASE_INFO T 
</query>
<query id = "BaseOperations.queryLockFlag" desc = "质量封锁标识">
SELECT distinct T.Lock_Flag,
                DECODE(T.Lock_Flag,
                       '0',
                       '未封锁',
                       '1',
                       '管理封锁',
                       '2',
                       '质量封锁',
                       '3',
                       '管理质量双封锁') FLAG
  FROM mat_zc_m T
</query>
<query id = "BaseOperations.queryMangeFlag" desc = "管理封锁标识">
SELECT distinct T.MNG_LOCK_FLAG,
                DECODE(T.MNG_LOCK_FLAG,
                       '0',
                       '未封锁',
                       '1',
                       '管理封锁'
                       ) FLAG
  FROM mat_zc_m T
</query>
<query id = "BaseOperations.getProcduce" desc = "获取品名基础信息">
SELECT T.PRODUCCODE,T.PRODUC_JX FROM COM_BASE_PRODUCT T WHERE T.VALIDFLAG = '1' ORDER BY T.PRODUCCODE ASC
</query>
<query id = "BaseOperations.getSteel" desc = "获取钢级基础信息">
SELECT T.STEELCODE,T.STEELNAME FROM COM_BASE_STEEL T WHERE T.VALIDFLAG = '1' ORDER BY T.STEELCODE ASC
</query>
<query id = "BaseOperations.getStdStyle" desc = "获取标准类别基础信息">
SELECT T.STD_STYLE,T.STD_STYLE_DESC FROM COM_BASE_STD_STYLE T WHERE T.VALIDFLAG = '1'ORDER BY T.STD_STYLE ASC
</query>
<query id = "BaseOperations.getStdName" desc = "获取标准名称信息">
SELECT T.STD_NAME,T.STD_CODE FROM COM_BASE_STD T WHERE T.VALIDFLAG = '1' ORDER BY T.STD_CODE ASC
</query>
<query id = "BaseOperations.getMaterial" desc= "获取轧管物料码">
SELECT T.OUT_MATERIAL_DESC,T.OUT_MATERIAL_NO FROM SLM_BASE_MATERIAL_D T ORDER BY T.OUT_MATERIAL_NO DESC 
</query>

    <query id = "BaseOperations.getSpc" desc= "获取规格">
        SELECT T.*  FROM COM_BASE_SPEC T WHERE T.VALIDFLAG = '1' ORDER BY T.SPEC_CODE
    </query>

    <query id = "BaseOperations.getModel" desc= "获取品种">
        SELECT T.*  FROM COM_BASE_MODEL T WHERE T.VALIDFLAG = '1' ORDER BY T.MODEL_CODE
    </query>

</queryMap>